require File.dirname(__FILE__) + '/../../../../../spec_helper'

include OpenEhr::RM::DataStructures::ItemStructure
include OpenEhr::RM::DataStructures::ItemStructure::Representation
include OpenEhr::RM::DataTypes::Text

def row(args)
  return args.collect do |n|
    Element.new(:name => DvText.new(n),
                :archetype_node_id => 'test')
  end
end

describe ItemTable do
  before(:each) do
    row1 = row(%w{one two three})
    row2 = row(%w{four five six})
    cluster1 = Cluster.new(:name => DvText.new('cluster1'),
                           :archetype_node_id => 'test',
                           :items => row1)
    cluster2 = Cluster.new(:name => DvText.new('cluster2'),
                           :archetype_node_id => 'test',
                           :items => row2)
    @item_table = ItemTable.new(:name => DvText.new('item table'),
                                :archetype_node_id => 'test',
                                :rows => [cluster1, cluster2])
  end

  it 'should be an instance of ItemTable' do
    @item_table.should be_an_instance_of ItemTable
  end
end
